<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Note</title>
  </head>
  <style>
    h1 {
        text-align: center;
        color: #6F4C5B !important;
    }
    .card {
        box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
        transition: 0.3s;
        width: auto;
        padding: 20px;
        background-color: #F5E8C7;
        border-radius: 5px;
    }
    .card:hover {
        box-shadow: 0 8px 16px 0 rgba(0,0,0,0.2);
    }
    .container {
        padding: 2px 16px;
    }
    .to {
        background-color: #DEBA9D;
        padding: 4px 10px;
        border-radius: 4px;
    }
    .from {
        background-color: #DEBA9D;
        padding: 4px 10px;
        border-radius: 4px;
    }
    .title {
        background-color: #DEBA9D;
        padding: 4px 10px;
        border-radius: 4px;
    }
    .message {
        background-color: #DEBA9D;
        padding: 4px 10px;
        border-radius: 4px;
    }
    .navbar {
          overflow: hidden;
          background-color: black;
          width: 100%;
      }
      .navbar a {
        float: left;
        font-size: 16px;
        color: #DEBA9D;
        text-align: center;
        padding: 14px 16px;
        text-decoration: none;
      }
      .dropdown {
          float: left;
          overflow: hidden;
      }
      
      .dropdown .dropbtn {
          font-size: 16px;  
          border: none;
          outline: none;
          color: white;
          padding: 14px 16px;
          background-color: inherit;
          font-family: inherit;
          margin: 0;
        }
        .navbar a:hover, .dropdown:hover .dropbtn {
            background-color: #CC9B6D;
        }
        .dropdown-content {
            display: none;
            position: absolute;
            background-color: #f9f9f9;
            min-width: 160px;
            box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
            z-index: 1;
        }
        .dropdown-content a {
            float: none;
            color: black;
            padding: 12px 16px;
            text-decoration: none;
            display: block;
            text-align: left;
        }
        .dropdown-content a:hover {
            background-color: #ddd;
        }
        .dropdown:hover .dropdown-content {
            display: block;
        }
  </style>
  <body>
    <nav class="navbar">
        <div class="navbar">
            <div class="dropdown">
                <button class="dropbtn">
                    Link
                    <i class="fa fa-caret-down"></i>
                </button>
                <div class="dropdown-content">
                    <a href="http://localhost:8000/lab-4/">Note Table</a>
                    <a href="http://localhost:8000/lab-4/add-note">Add Note</a>
                </div>
            </div>
        </div>
    </nav>
      <h1>Note List</h1>
    <div class="container">
        {% for str in note %}
        {% if str.To != "" %}
        <div class="card">
            <div class="to">
                To :
                {{ str.To }}
            </div>
            <br>
            <div class="from">
                From :
                {{ str.From }}
            </div>
            <br>
            <div class="title">
                Title :
                {{ str.Title }}
            </div>
            <br>
            <div class="message">
                Message : <br>
                {{ str.Message }}
            </div>
            <br>
        </div>
        <br>
        {% endif %}
        {% endfor %}
    </div>
  </body>
</html>

<!-- Sumber : https://www.w3schools.com/howto/tryit.asp?filename=tryhow_css_dropdown_navbar -->